Name:		acetoneiso
Version:	2.2.2
Release:	%mkrel 1
Summary:	CD/DVD Image Manipulator
Group:		Archiving/Other
License:	GPLv3
URL:		http://www.acetoneteam.org/
Source0:	http://download.sourceforge.net/sourceforge/acetoneiso2/%{name}_%{version}.tar.gz
Patch0:		AcetoneISO2-2.0.3-no-poweriso-for-non-x86.patch
BuildRoot:  	%{_tmppath}/%{name}-%{version}-%{release}
BuildRequires: 	kdewebdev4-devel, qt4-devel, desktop-file-utils
BuildRequires:	phonon-devel
Requires:	p7zip, cdrdao, fuseiso, fuse, cdrkit-genisoimage, gnupg, pinentry-qt4
Requires:	fuse-utils, gnupg2, ffmpeg, mencoder, cdparanoia, geteltorito
#Provides:	acetoneiso

%description
AcetoneISO2: The CD/DVD image manipulator for Linux, it can do the following:
- Mount and Unmount ISO, MDF, NRG (if iso-9660 standard)
- Convert / Extract / Browse to ISO : *.bin *.mdf *.nrg *.img *.daa *.cdi 
  *.xbx *.b5i *.bwi *.pdi
- Play a DVD Movie ISO with most commonly-used media players
- Generate an ISO from a Folder or CD/DVD
- Generate/Check MD5 file of an image
- Encrypt/decrypt an image
- Split image into X megabyte chunks
- Highly compress an image
- Rip a PSX cd to *.bin to make it work with epsxe/psx emulators
- Restore a lost CUE file of *.bin *.img

%prep
%setup -q -n %{name}_%{version}
%patch0 -p1

%build
cd %{name}/
qmake "QMAKE_CXXFLAGS=$RPM_OPT_FLAGS -I/usr/include/KDE"
make LFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT 
cd %{name}/
make INSTALL_ROOT=$RPM_BUILD_ROOT install
desktop-file-install --dir $RPM_BUILD_ROOT%{_datadir}/applications	\
	$RPM_BUILD_ROOT%{_datadir}/applications/AcetoneISO.desktop

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%doc AUTHORS CHANGELOG FEATURES LICENSE README
%{_bindir}/acetoneiso
%{_datadir}/applications/AcetoneISO.desktop
%{_datadir}/pixmaps/Acetino2.png


%changelog
* Sat Jul 4 2010 Dal Magro Maurizio <mauriziodm@mandrivaclub.be> 
- Update to version 2.2.2

* Sun Dec 13 2009 Maurizio Dal Magro <mauriziodm@mandrivaclub.be>
- Update version 2.2.1
- added some dependences

* Tue Sep 22 2009 Juan Luis Baptiste <juancho@mandriva.org> 2.1.1-1mdv2010.0
+ Revision: 447103
- Initial import based on mandrivauser.de package.


